/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.games.editorui;

import gabien.IGrInDriver;
import gabien.IGrInDriver.IImage;
import gabien.ui.UIElement;

/**
 * Width == Maximum+16.
 * @author matt
 */
public class UIScrollbar extends UIElement {
    public int value=0;
    @Override
    public void updateAndRender(int ox, int oy, double DeltaTime, boolean selected, IGrInDriver igd) {
        IImage ii=igd.getImage("TileEditor.png", 0, 0, 0);
        for (int p=0;p<elementBounds.width;p++)
        {
        igd.blitImage(174, 0, 1, 16, ox+p, oy, ii);
        }
        igd.blitImage(172, 0, 2, 16, ox, oy, ii);
        igd.blitImage(172, 0, 2, 16, ox+(elementBounds.width-2), oy, ii);
        igd.blitImage(160, 0, 12, 12, (ox+2+value), oy+2, ii);
    }

    @Override
    public void handleClick(int x, int y,int button) {
    }
    @Override
    public void handleDrag(int x,int y)
    {
        value=x-8;
        if (value<0) value=0;
        if (value>elementBounds.width-16) value=elementBounds.width-16;
    }
}
